<!DOCTYPE html>
<html lang="zxx">

<style>
@import url('https://fonts.googleapis.com/css?family=Cormorant+Garamond&display=swap');
</style>

<head>
  <meta charset="utf-8">
  <title>alessioboggeroMDEF</title>
  <!-- mobile responsive meta -->
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1">
  <!-- ** Plugins Needed for the Project ** -->
  <!-- Bootstrap -->
  <link rel="stylesheet" href="plugins/bootstrap/bootstrap.min.css">
  <!-- Main Stylesheet -->
  <link href="css/styleread.css" rel="stylesheet">
</head>


<body>

<a class="home" href="fab.html"><h5>fabacademy</h5></a>

<br><br>

<h5>

  I’m Alessio, a gastronome on a design transition. I ended up inside of MDEF and FabLab after my gastronomic sciences undergraduate, to change my vision and explore an area which I was always fascinated by: design & technology. The act of making goes on very well with food, both because of cooking and because of farming, as those are making actions as well.

<br><br>

As a final project for FabAcademy, I had two simple and already iterated ideas:
<br>
-  a home algae bioreactor, to grow spirulina, which is actually a cyanobacteria. Also to be used as a simple liquid fermentation.
<br>
- a meat/cheese curing chamber

<br><br>

The first would be a look at one of the possible futures relating to food consumption.

<br>

The second would be a look back at when cured cuts and cheese were fundamental to preserve highly nutrient foods like meat and milk because of food scarcity. At the same time, my iteration would be a critical design object, which allows for very little storing/curing quantities, and bases on guilt/animal welfare/conscience relationship between the object and the user, through a data interaction based on your consumption of those products.

<br><br>

  <img class="fit" src="images/fab1/sketch.jpg" alt="blablabla">

  <br><br>

  When we started working on our websites, I immediately started trying to modify the template we were given, because I did not like it. I was probably too optimistic. After some attempts, I realised I should have studied a lot more about bootstrap, and at the moment it could not get inside my mind at all, so I decided to start the website from zero. This, in order to learn the html and css basics in the beginning, and maybe explore the use of bootstrap and javascript later during the year.

<br><br>

I removed all divisions, like headers and footers, and started working only in the single body.

<br><br>

For the main page, I made a simple list with all the future weeks and topics in FabAcademy, spaced from one another with two page breaks, and I set the background in the stylesheet from a local file.

<br><br>

<img class="fit" src="images/fab1/code.png" alt="blablabla">

<br><br>

<img class="fit" src="images/fab1/page.png" alt="blablabla">

<br><br>

I  wanted a clean, simple view, and I think it worked pretty well even if with a ridiculously simple code.

<br><br>

What I want to improve is the single week pages, where I don’t like the spacings between pictures and words. Also, I should probably consider changing font, since the one I’m using is very thick and does not appeal to my eyes. Working on it, I also started thinking it makes reading quite difficult. This is the occasion to learn bootstrap and make the coding faster and more dynamic, while getting a better looking website.

<br><br>

In the weeks’ pages, I used different headings to get different font sizes. This is quite stupid, but when I did this I still did not know the class assigning function in css.
After a while I learned about it, and used it to fit the pictures to the screen size and have a 10% of the window margin on each side.

<br><br>

I will have to spend a lot more time coding my website to make its formatting better, but especially for me in order to understand more and gain the use of those tools I still have not explored.

<br><br>

We are managing our websites through git, which is the environment on which GitLab works, GitLab is the platform that is hosting our pages and therefore our repository.

<br>
To do this, we first created our repository from our browsers.<br>
Then we installed git and slowly got confident with its use through the computer terminal.<br>
From there, we opened the folder in which we wanted to keep all our files, and typed "git init" to connect the folder to our repository.<br>
After this, we had to clone the templates our faculties had given us inside of our local folder. It can be done on from your browser: go to your repo, click on clone or download, and then copy the SSH Key URL.
<br>You then go back to your terminal and type "git clone" + "URL you just copied", and you should be done!
